Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 552766 - media-gfx/exiv2-0.25 version bump
Summary: media-gfx/exiv2-0.25 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Graphics Project
URL: http://www.exiv2.org/whatsnew.html#item1
Whiteboard:
Keywords:
Depends on:
Blocks: 540682
  Show dependency tree
 
Reported: 2015-06-21 18:20 UTC by Markus Kaindl
Modified: 2015-10-04 16:45 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Modified ebuild from 0.24-r1 (exiv2-0.25.ebuild,3.34 KB, text/plain)
2015-06-21 18:22 UTC, Markus Kaindl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kaindl 2015-06-21 18:20:09 UTC
New version of Exiv2 with new features, bugfixes and new lensdata

Reproducible: Always
Comment 1 Markus Kaindl 2015-06-21 18:22:10 UTC
Created attachment 405500 [details]
Modified ebuild from 0.24-r1

Just had to rename and remove the 2 patches, both are already included in 0.25
Comment 2 Johannes Huber gentoo-dev 2015-06-22 14:05:10 UTC
Maybe its worth to test the upstream provided cmake build system (see also).
Comment 3 asp 2015-06-27 16:32:05 UTC
Could the description be changed to:

DESCRIPTION="EXIF, IPTC and XMP metadata C++ library and command line utility"
Comment 4 Karol Herbst 2015-07-18 13:20:23 UTC
also current exiv2 in tree fails to compile here with 4.9.3 so it would be nice to have a 0.25 version in tree (errors are simply c++ stdlib related and I guess it could be fixed by adding an #include)
Comment 5 Andreas Sturmlechner gentoo-dev 2015-07-19 16:21:49 UTC
See also: https://github.com/gentoo/gentoo-portage-rsync-mirror/pull/178
Comment 6 asp 2015-09-07 12:50:02 UTC
Hi all

Over at exiv2, we have an open issue that is waiting for an update on this.

    http://dev.exiv2.org/issues/1098

exiv2 0.25 fixes a lot of issues with the old version and provides a much more stable platform for applications such as digikam that rely heavily on it. It would be cool to see it packaged.